GdalTools (QGIS 2.0.1) fail if file path includes non-ascii characters
Status: Closed
Assignee:

Category: Processing/GDAL

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 17725
Description

This problem was fixed once in 1.9 (commit:8970a1f), but it was affected by commit:c9eb4f2 | made to fix an issue #8010. I'm sorry for

this. To fix it again, there might be two solutions in QGIS side.

1. revert commit:c9eb4f2
Most users do not set the environment variable GDAL_FILENAME_IS_UTF8, | guess.

2. add --config GDAL_FILENAME_IS_UTF8 NO option into gdal command arguments.
This works in my environment. | think this way is better than 1.

History

#1 - 2013-11-18 10:34 PM - Minoru Akagi

Another solution is here! in qgis.bat (ggis.bat.tmpl):

- set GDAL_FILENAME_IS_UTF8=YES
+ set GDAL_FILENAME_IS_UTF8=

These have the same meaning since internal default value of GDAL_FILENAME_IS_UTF8 is YES, and the new setting do not force the environment

variable value to gdal program process.

#2 - 2014-03-10 12:11 AM - Minoru Akagi

.exe utility programs (e.g. gdalwarp.exe) work with one of the above options, but python utilities (e.g. gdal_merge.py) do not work in any ways. | tested

some more:

# gdalwarp works with the configuration option GDAL_FILENAME_IS_UTF8=NO

D:\\>gdalwarp --config GDAL_FILENAME_IS_UTF8 NO [A\N34E130.tif ZIAA\N34E131.tif out.tif
Processing input file PIA21\N34E130.tif.

0...10...20...30...40...50...60...70...80...90...100 - done.

Processing input file PIAZ1\N34E131 .tif.

0...10...20...30...40...50...60...70...80...90...100 - done.

# gdal_merge doesn't work with directly specified non-ASCII path

D:\\>gdal_merge --config GDAL_FILENAME_IS_UTF8 NO -o out.tif [IAA\N34E130.tif [IA21\N34E131 .tif

ERROR 4: 'eXg\\N34E130.1if' does not exist in the file system,
https://github.com/qgis/QGIS/blob/master/ms-windows/osgeo4w/qgis.bat.tmpl
http://trac.osgeo.org/gdal/wiki/ConfigOptions#GDAL_FILENAME_IS_UTF8

# gdal_merge works with UTF-8 encoded parameter file

# param.txt contains string "-o out.tif [PAIA\N34E130.tif PIAA\N34E131.tif" in UTF-8
D:\\>gdal_merge --config GDAL_FILENAME_IS_UTF8 YES --optfile param.txt
0...10...20...30...40...50...60...70...80...90...100 - done.

# gdal_merge doesn't work with CP932 encoded parameter file

D:\\>gdal_merge --config GDAL_FILENAME_IS_UTF8 NO --optfile param_CP932.txt
ERROR 4: TATAA?N34E130.tif' does not exist in the file system,

and is not recognised as a supported dataset name.

# gdalwarp works with non-ASCII path + wildcard

D:\\>gdalwarp --config GDAL_FILENAME_IS_UTF8 NO [IA2\* tif out.tif
Creating output file that is 3601P x 1201L.

Processing input file [ZIAA\N34E130.tif.
0...10...20...30...40...50...60...70...80...90...100 - done.

Processing input file [IAA\N34E131.tif.
0...10...20...30...40...50...60...70...80...90...100 - done.

Processing input file [IAA\N34E132.tif.
0...10...20...30...40...50...60...70...80...90...100 - done.

# gdalwarp doesn't work with non-ASCII path + wildcard in UTF-8 encoded parameter file
# param_warp.txt contains string "2\ tif out.tif"

D:\\>gdalwarp --config GDAL_FILENAME_IS_UTF8 YES --optfile param_warp.txt
ERROR 4: ‘[XAA? tif' does not exist in the file system,

and is not recognised as a supported dataset name.

#3 - 2014-06-12 02:20 AM - Minoru Akagi
| did not understand this problem well. GdalTools do not simply set GDAL_FILENAME_IS_UTF8=NO, but append "NO" to the variable.

GDAL_FILENAME_IS_UTF8 is set to "YES;NO" after running one of GdalTools. This is why GDAL tools (.exe) do not work with non-ASCII path in
Windows.

#4 - 2017-01-02 05:55 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#5 - 2017-02-07 01:30 AM - Alexander Bruy

- Status changed from Open to Feedback

Is it true for Processing front-end in master?

#6 - 2017-02-27 02:48 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
